Программа: gzip 1.3.5, возможно более ранние версии.

Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки разыменования нулевого указателя, если gzip используется в сценарии. Удаленный пользователь может с помощью специально сформированного архива вызвать отказ в обслуживании приложения.

2. Уязвимость существует из-за ошибки индекса массива в функции make_table в файле unlzh.c при обработке LZH архивов. Удаленный пользователь может с помощью специально сформированного архива вызвать переполнение буфера и выполнить произвольный код на целевой системе.

3. Переполнение буфера существует в функции build_tree в файле unpack.c. Удаленный пользователь может с помощью специально сформированной таблицы записать отрицательное значение индекса и выполнить произвольный код на целевой системе.

4. Переполнение буфера обнаружено в функции make_table в компоненте LHZ. Удаленный пользователь может создать специально сформированную таблицу декодирования архива и выполнить произвольный код на целевой системе.

5. Уязвимость существует в файле unlzh.c в компоненте LHZ. Злоумышленник может с помощью специально сформированного архива вызвать зацикливание приложения и потребить все доступные ресурсы на системе.



Оставить мнение